%define _debugsource_template %{nil}
%define __brp_python_bytecompile %{nil}

Summary:    Package management tool for isolating the user data
Name:       rpm-silo
Version:    0.1
Release:    1%{?dist}
License:    GPLv2
URL:        https://git.woa.com/tlinux/TSS-tools/rpm-silo
Source0:    %{name}-%{version}.tar.gz

BuildRequires: python3-devel libdnf-devel


ExclusiveArch:  x86_64 aarch64 loongarch64

%description
This package provides a tool to manage the rpm packages installed by the user.
The rpms installed by the users are seperated from the system rpms.


%prep
%autosetup

%build
%make_build

%install
%make_build install DESTDIR=%{buildroot}

find %{buildroot} -name "*.pyc" | xargs rm -f

%files
%license LICENSE
%{_bindir}/%{name}
%{python3_sitelib}/dnf_manager.py


%changelog
* Wed Feb 12 2025 cunshunxia <cunshunxia@tencent.com> - 0.1-1
- initial build
